Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2eba::/16
First address
2eba::
Last address
2eba:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2eba:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.b.e.2.ip6.arpa
Split into smaller subnets/24

2eba::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12eba::/242eba:ff:ffff:ffff:ffff:ffff:ffff:ffff
22eba:100::/242eba:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32eba:200::/242eba:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42eba:300::/242eba:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52eba:400::/242eba:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62eba:500::/242eba:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72eba:600::/242eba:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82eba:700::/242eba:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92eba:800::/242eba:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102eba:900::/242eba:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112eba:a00::/242eba:aff:ffff:ffff:ffff:ffff:ffff:ffff
122eba:b00::/242eba:bff:ffff:ffff:ffff:ffff:ffff:ffff
132eba:c00::/242eba:cff:ffff:ffff:ffff:ffff:ffff:ffff
142eba:d00::/242eba:dff:ffff:ffff:ffff:ffff:ffff:ffff
152eba:e00::/242eba:eff:ffff:ffff:ffff:ffff:ffff:ffff
162eba:f00::/242eba:fff:ffff:ffff:ffff:ffff:ffff:ffff
172eba:1000::/242eba:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182eba:1100::/242eba:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192eba:1200::/242eba:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202eba:1300::/242eba:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212eba:1400::/242eba:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222eba:1500::/242eba:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232eba:1600::/242eba:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242eba:1700::/242eba:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252eba:1800::/242eba:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262eba:1900::/242eba:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272eba:1a00::/242eba:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282eba:1b00::/242eba:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292eba:1c00::/242eba:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302eba:1d00::/242eba:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312eba:1e00::/242eba:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322eba:1f00::/242eba:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332eba:2000::/242eba:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342eba:2100::/242eba:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352eba:2200::/242eba:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362eba:2300::/242eba:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372eba:2400::/242eba:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382eba:2500::/242eba:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392eba:2600::/242eba:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402eba:2700::/242eba:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412eba:2800::/242eba:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422eba:2900::/242eba:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432eba:2a00::/242eba:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442eba:2b00::/242eba:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452eba:2c00::/242eba:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462eba:2d00::/242eba:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472eba:2e00::/242eba:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482eba:2f00::/242eba:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492eba:3000::/242eba:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502eba:3100::/242eba:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512eba:3200::/242eba:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522eba:3300::/242eba:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532eba:3400::/242eba:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542eba:3500::/242eba:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552eba:3600::/242eba:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562eba:3700::/242eba:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572eba:3800::/242eba:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582eba:3900::/242eba:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592eba:3a00::/242eba:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602eba:3b00::/242eba:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612eba:3c00::/242eba:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622eba:3d00::/242eba:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632eba:3e00::/242eba:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642eba:3f00::/242eba:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652eba:4000::/242eba:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662eba:4100::/242eba:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672eba:4200::/242eba:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682eba:4300::/242eba:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692eba:4400::/242eba:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702eba:4500::/242eba:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712eba:4600::/242eba:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722eba:4700::/242eba:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732eba:4800::/242eba:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742eba:4900::/242eba:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752eba:4a00::/242eba:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762eba:4b00::/242eba:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772eba:4c00::/242eba:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782eba:4d00::/242eba:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792eba:4e00::/242eba:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802eba:4f00::/242eba:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812eba:5000::/242eba:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822eba:5100::/242eba:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832eba:5200::/242eba:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842eba:5300::/242eba:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852eba:5400::/242eba:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862eba:5500::/242eba:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872eba:5600::/242eba:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882eba:5700::/242eba:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892eba:5800::/242eba:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902eba:5900::/242eba:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912eba:5a00::/242eba:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922eba:5b00::/242eba:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932eba:5c00::/242eba:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942eba:5d00::/242eba:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952eba:5e00::/242eba:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962eba:5f00::/242eba:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972eba:6000::/242eba:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982eba:6100::/242eba:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992eba:6200::/242eba:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002eba:6300::/242eba:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012eba:6400::/242eba:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022eba:6500::/242eba:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032eba:6600::/242eba:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042eba:6700::/242eba:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052eba:6800::/242eba:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062eba:6900::/242eba:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072eba:6a00::/242eba:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082eba:6b00::/242eba:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092eba:6c00::/242eba:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102eba:6d00::/242eba:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112eba:6e00::/242eba:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122eba:6f00::/242eba:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132eba:7000::/242eba:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142eba:7100::/242eba:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152eba:7200::/242eba:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162eba:7300::/242eba:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172eba:7400::/242eba:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182eba:7500::/242eba:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192eba:7600::/242eba:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202eba:7700::/242eba:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212eba:7800::/242eba:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222eba:7900::/242eba:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232eba:7a00::/242eba:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242eba:7b00::/242eba:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252eba:7c00::/242eba:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262eba:7d00::/242eba:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272eba:7e00::/242eba:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282eba:7f00::/242eba:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292eba:8000::/242eba:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302eba:8100::/242eba:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312eba:8200::/242eba:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322eba:8300::/242eba:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332eba:8400::/242eba:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342eba:8500::/242eba:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352eba:8600::/242eba:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362eba:8700::/242eba:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372eba:8800::/242eba:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382eba:8900::/242eba:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392eba:8a00::/242eba:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402eba:8b00::/242eba:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412eba:8c00::/242eba:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422eba:8d00::/242eba:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432eba:8e00::/242eba:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442eba:8f00::/242eba:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452eba:9000::/242eba:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462eba:9100::/242eba:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472eba:9200::/242eba:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482eba:9300::/242eba:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492eba:9400::/242eba:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502eba:9500::/242eba:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512eba:9600::/242eba:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522eba:9700::/242eba:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532eba:9800::/242eba:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542eba:9900::/242eba:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552eba:9a00::/242eba:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562eba:9b00::/242eba:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572eba:9c00::/242eba:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582eba:9d00::/242eba:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592eba:9e00::/242eba:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602eba:9f00::/242eba:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612eba:a000::/242eba:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622eba:a100::/242eba:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632eba:a200::/242eba:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642eba:a300::/242eba:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652eba:a400::/242eba:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662eba:a500::/242eba:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672eba:a600::/242eba:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682eba:a700::/242eba:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692eba:a800::/242eba:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702eba:a900::/242eba:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712eba:aa00::/242eba:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722eba:ab00::/242eba:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732eba:ac00::/242eba:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742eba:ad00::/242eba:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752eba:ae00::/242eba:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762eba:af00::/242eba:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772eba:b000::/242eba:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782eba:b100::/242eba:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792eba:b200::/242eba:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802eba:b300::/242eba:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812eba:b400::/242eba:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822eba:b500::/242eba:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832eba:b600::/242eba:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842eba:b700::/242eba:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852eba:b800::/242eba:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862eba:b900::/242eba:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872eba:ba00::/242eba:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882eba:bb00::/242eba:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892eba:bc00::/242eba:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902eba:bd00::/242eba:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912eba:be00::/242eba:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922eba:bf00::/242eba:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932eba:c000::/242eba:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942eba:c100::/242eba:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952eba:c200::/242eba:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962eba:c300::/242eba:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972eba:c400::/242eba:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982eba:c500::/242eba:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992eba:c600::/242eba:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002eba:c700::/242eba:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012eba:c800::/242eba:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022eba:c900::/242eba:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032eba:ca00::/242eba:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042eba:cb00::/242eba:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052eba:cc00::/242eba:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062eba:cd00::/242eba:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072eba:ce00::/242eba:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082eba:cf00::/242eba:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092eba:d000::/242eba:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102eba:d100::/242eba:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112eba:d200::/242eba:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122eba:d300::/242eba:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132eba:d400::/242eba:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142eba:d500::/242eba:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152eba:d600::/242eba:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162eba:d700::/242eba:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172eba:d800::/242eba:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182eba:d900::/242eba:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192eba:da00::/242eba:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202eba:db00::/242eba:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212eba:dc00::/242eba:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222eba:dd00::/242eba:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232eba:de00::/242eba:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242eba:df00::/242eba:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252eba:e000::/242eba:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262eba:e100::/242eba:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272eba:e200::/242eba:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282eba:e300::/242eba:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292eba:e400::/242eba:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302eba:e500::/242eba:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312eba:e600::/242eba:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322eba:e700::/242eba:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332eba:e800::/242eba:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342eba:e900::/242eba:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352eba:ea00::/242eba:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362eba:eb00::/242eba:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372eba:ec00::/242eba:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382eba:ed00::/242eba:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392eba:ee00::/242eba:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402eba:ef00::/242eba:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412eba:f000::/242eba:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422eba:f100::/242eba:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432eba:f200::/242eba:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442eba:f300::/242eba:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452eba:f400::/242eba:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462eba:f500::/242eba:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472eba:f600::/242eba:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482eba:f700::/242eba:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492eba:f800::/242eba:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502eba:f900::/242eba:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512eba:fa00::/242eba:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522eba:fb00::/242eba:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532eba:fc00::/242eba:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542eba:fd00::/242eba:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552eba:fe00::/242eba:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562eba:ff00::/242eba:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses